#!/usr/bin/env python
import matplotlib as mpl
mpl.use('Agg')
import matplotlib.pyplot as plt
#from itertools import zip
import numpy as np
from importlib import reload

from matplotlib import style
import pandas as pd
import sys

reload(sys)
#sys.setdefaultencoding("utf-8")

SIZE = int(sys.argv[1])
INP = sys.argv[2:]
NROWS = 1000000 # sys.argv[2]

style.use('ggplot')

fig = plt.figure(figsize=(len(INP)*4, 8))

for j, inp in zip(range(len(INP)), INP):

    df = pd.read_csv(inp, sep='\t', nrows=NROWS)
    mat = df.as_matrix(['dim0', 'dim1'])
    lab = df.as_matrix(['match'])

    c = list()
    for i, xy, l in zip(range(len(lab)), mat, lab):
        if str(l[0]) == "False":
            c.append('r')
            # print l, xy
        else:
            c.append('b')
            # print l, xy
        # if xy[0] > 0.25 and xy[0] < 0.5 and xy[1] > -0.75 and xy[1] < -0.5:
        #     print l, xy
        #     c.append('r')
        # else:
        #     c.append('b')

    w = 211 + j 
    print (w)
    ax = fig.add_subplot(w)
    ax.title.set_text(inp[:-4])
    ax.set_xlabel('name')
    ax.set_ylabel('description')
    ax.scatter(mat[:,0], mat[:,1], c=c, marker='.', s=SIZE)

fig.tight_layout()

fig.savefig('output.png', dpi=fig.dpi)
